Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class InterviewParameters.WorkDirFault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.interview.Interview.Fault
                  com.sun.javatest.InterviewParameters.WorkDirFault

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  InterviewParameters

    public static class InterviewParameters.WorkDirFault

extends Interview.Fault

Indicates problems when accessing the work directory.

See Also:
  Serialized Form

Constructor Summary
`InterviewParameters.WorkDirFault(java.util.ResourceBundle i18n, java.lang.String s)` Create a fault with an internationalized message.
`InterviewParameters.WorkDirFault(java.util.ResourceBundle i18n, java.lang.String s, java.lang.Object o)` Create a fault with an internationalized message.
`InterviewParameters.WorkDirFault(java.util.ResourceBundle i18n, java.lang.String s, java.lang.Object[] o)` Create a fault with an internationalized message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterviewParameters.WorkDirFault

    public InterviewParameters.WorkDirFault(java.util.ResourceBundle i18n,
                                            java.lang.String s)

  Create a fault with an internationalized message.

  Parameters:
    `i18n` - The bundle from which to get the string.
    `s` - The key for getting the string to be displayed from the supplied bundle.

### InterviewParameters.WorkDirFault

    public InterviewParameters.WorkDirFault(java.util.ResourceBundle i18n,
                                            java.lang.String s,
                                            java.lang.Object o)

  Create a fault with an internationalized message.

  Parameters:
    `i18n` - The bundle from which to get the string.
    `s` - The key for getting the string to be displayed from the supplied bundle.
    `o` - Parameter to use when resolving the string from the bundle.
  See Also:
    `MessageFormat`

### InterviewParameters.WorkDirFault

    public InterviewParameters.WorkDirFault(java.util.ResourceBundle i18n,
                                            java.lang.String s,
                                            java.lang.Object[] o)

  Create a fault with an internationalized message.

  Parameters:
    `i18n` - The bundle from which to get the string.
    `s` - The key for getting the string to be displayed from the supplied bundle.
    `o` - Parameters to use when resolving the string from the bundle.
  See Also:
    `MessageFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.